Index: tmp/org.txm.chartsengine.svgbatik.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.chartsengine.svgbatik.rcp/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.chartsengine.svgbatik.rcp/META-INF/MANIFEST.MF	(revision 452)
@@ -4,12 +4,15 @@
 Bundle-SymbolicName: org.txm.chartsengine.svgbatik.rcp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Require-Bundle: org.txm.libs.itext;bundle-version="2.1.5",
- org.txm.chartsengine.rcp;bundle-version="1.0.0";visibility:=reexport,
+Require-Bundle: org.txm.libs.batik;bundle-version="0.0.0",
+ org.txm.libs.itext;bundle-version="2.1.5",
+ org.txm.chartsengine.core;bundle-version="1.0.0",
+ org.txm.chartsengine.rcp;bundle-version="1.0.0",
+ org.txm.utils;bundle-version="1.0.0",
+ org.eclipse.swt;bundle-version="3.103.2",
  org.txm.core;bundle-version="0.7.0",
  org.txm.rcp;bundle-version="0.7.8",
- org.eclipse.core.expressions;bundle-version="3.4.600",
- org.txm.libs.batik;bundle-version="0.0.0"
+ org.eclipse.core.expressions;bundle-version="3.4.600"
 Export-Package: org.txm.chartsengine.svgbatik.rcp,
  org.txm.chartsengine.svgbatik.rcp.swing,
  org.txm.chartsengine.svgbatik.rcp.swt
Index: tmp/org.txm.specificities.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.specificities.core/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.specificities.core/META-INF/MANIFEST.MF	(revision 452)
@@ -4,7 +4,11 @@
 Bundle-SymbolicName: org.txm.specificities.core;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Require-Bundle: org.txm.statsengine.r.core,
+Require-Bundle: org.txm.utils;bundle-version="1.0.0",
+ org.eclipse.osgi;bundle-version="3.10.2",
+ org.eclipse.core.runtime;bundle-version="3.10.0",
+ org.txm.searchengine.cqp.core;bundle-version="1.1.0",
+ org.txm.statsengine.r.core,
  org.txm.lexicon.core;bundle-version="1.0.0",
  org.txm.lexicaltable.core;bundle-version="1.0.0",
  org.txm.statsengine.core;bundle-version="1.0.0",
@@ -12,8 +16,7 @@
  org.txm.progression.core;bundle-version="1.0.0",
  org.txm.chartsengine.core;bundle-version="1.0.0",
  org.txm.chartsengine.jfreechart.core;bundle-version="1.0.0",
- org.txm.chartsengine.r.core;bundle-version="1.0.0",
- org.eclipse.core.runtime;bundle-version="3.10.0"
+ org.txm.chartsengine.r.core;bundle-version="1.0.0"
 Export-Package: org.txm.functions.contrasts,
  org.txm.specificities.core.chartsengine.jfreechart,
  org.txm.specificities.core.chartsengine.r,
Index: tmp/org.txm.libs.cqp/src/org/txm/libs/cqp/DoInstallStep.java
===================================================================
--- tmp/org.txm.libs.cqp/src/org/txm/libs/cqp/DoInstallStep.java	(revision 451)
+++ tmp/org.txm.libs.cqp/src/org/txm/libs/cqp/DoInstallStep.java	(revision 452)
@@ -22,10 +22,10 @@
 	@Override
 	public void preInstall() {
 		
-		String CQPFRAGMENT = "CQP."+System.getProperty("osgi.os");
+		String CQPFRAGMENT = "org.txm.libs.cqp."+System.getProperty("osgi.os");
 		
 		Log.info("CQP.DoInstallStep.install()");
-		String saved = TXMPreferences.getString(CQPPreferences.PREFERENCES_NODE, CQPPreferences.VERSION, "");
+		String saved = TXMPreferences.getString(CQPPreferences.VERSION, CQPPreferences.PREFERENCES_NODE);
 		Version currentVersion = BundleUtils.getBundleVersion(CQPFRAGMENT); // the CQPFRAGMENT plugin contains the right version
 		
 		if (saved != null && saved.length() > 0) {
Index: tmp/org.txm.libs.cqp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.libs.cqp/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.libs.cqp/META-INF/MANIFEST.MF	(revision 452)
@@ -4,10 +4,11 @@
 Bundle-SymbolicName: org.txm.libs.cqp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-Activator: org.txm.libs.cqp.Activator
-Require-Bundle: org.eclipse.core.runtime;visibility:=reexport,
- org.txm.core;visibility:=reexport,
- org.eclipse.jface;visibility:=reexport,
- org.eclipse.ui.workbench;visibility:=reexport
+Require-Bundle: org.txm.utils;bundle-version="1.0.0",
+ org.eclipse.core.runtime,
+ org.txm.core,
+ org.eclipse.jface,
+ org.eclipse.ui.workbench
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Bundle-ActivationPolicy: lazy
 Export-Package: org.txm.libs.cqp
Index: tmp/org.txm.lexicon.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.lexicon.core/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.lexicon.core/META-INF/MANIFEST.MF	(revision 452)
@@ -5,10 +5,11 @@
 Bundle-Version: 1.0.0.qualifier
 Bundle-Vendor: Textometrie.org
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Require-Bundle: org.txm.core;bundle-version="0.7.0",
+Require-Bundle: org.eclipse.osgi;bundle-version="3.10.2",
  org.eclipse.core.runtime;bundle-version="3.10.0",
- org.txm.statsengine.core;bundle-version="1.0.0",
+ org.txm.utils,
  org.txm.statsengine.r.core;bundle-version="1.0.0",
+ org.txm.core;bundle-version="0.7.0",
  org.txm.searchengine.core;bundle-version="1.0.0",
  org.txm.searchengine.cqp.core;bundle-version="1.1.0"
 Export-Package: org.txm.lexicon.core.corpusengine.cqp,
Index: tmp/org.txm.core/src/java/org/txm/core/preferences/TBXPreferences.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/preferences/TBXPreferences.java	(revision 451)
+++ tmp/org.txm.core/src/java/org/txm/core/preferences/TBXPreferences.java	(revision 452)
@@ -121,7 +121,6 @@
 		Log.info(TXMCoreMessages.Toolbox_4 + TBXPreferences.getID()); 
 
 		Preferences preferences = DefaultScope.INSTANCE.getNode(PREFERENCES_NODE);
-		DefaultScope.INSTANCE
 		
 		//FIXME: USE osgi.instance.area later
 		preferences.put(TBXPreferences.USER_TXM_HOME, System.getProperty("user.home")+"/TXM");
Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 451)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 452)
@@ -90,8 +90,9 @@
 		this.children = new ArrayList<TXMResult>(1);
 		this.preferencesNodeQualifier = FrameworkUtil.getBundle(getClass()).getSymbolicName();
 		this.parameters = parameters;
+
 		//FIXME: Debug
-		System.out.println("TXMResult.TXMResult(): default preferences node qualifier = " + this.preferencesNodeQualifier + ", class = " + getClass());
+		//System.out.println("TXMResult.TXMResult(): default preferences node qualifier = " + this.preferencesNodeQualifier + ", class = " + getClass());
 	}
 	
 	/**
Index: tmp/org.txm.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.core/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.core/META-INF/MANIFEST.MF	(revision 452)
@@ -4,17 +4,15 @@
 Bundle-SymbolicName: org.txm.core;singleton:=true
 Bundle-Version: 0.7.0.qualifier
 Bundle-Activator: org.txm.toolbox.Activator
-Require-Bundle: org.txm.utils;bundle-version="1.0.0";visibility:=reexport,
- org.eclipse.core.runtime,
+Require-Bundle: org.eclipse.core.runtime;bundle-version="3.10.0",
+ javax.persistence;bundle-version="2.1.0",
+ org.txm.utils;bundle-version="1.0.0",
  org.eclipse.osgi.util;bundle-version="3.2.0",
  org.eclipse.core.net,
  org.eclipse.osgi,
- org.txm.libs.groovy-all;bundle-version="1.0.0";visibility:=reexport,
- org.eclipse.persistence.jpa;bundle-version="2.6.0",
- javax.persistence;bundle-version="2.1.0";visibility:=reexport,
- org.eclipse.persistence.jpa.jpql;bundle-version="2.6.0";visibility:=reexport,
- org.txm.statsengine.r.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.annotation.core;bundle-version="1.0.0";visibility:=reexport
+ org.txm.libs.groovy-all;bundle-version="1.0.0",
+ org.txm.statsengine.r.core;bundle-version="1.0.0",
+ org.txm.annotation.core;bundle-version="1.0.0"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Export-Package: EDU.oswego.cs.dl.util.concurrent,
  EDU.oswego.cs.dl.util.concurrent.misc,
Index: tmp/org.txm.core.tests/src/org/txm/core/tests/manual/ToolBoxTesterRCPApplication.java
===================================================================
--- tmp/org.txm.core.tests/src/org/txm/core/tests/manual/ToolBoxTesterRCPApplication.java	(revision 451)
+++ tmp/org.txm.core.tests/src/org/txm/core/tests/manual/ToolBoxTesterRCPApplication.java	(revision 452)
@@ -3,8 +3,6 @@
  */
 package org.txm.core.tests.manual;
 
-import org.apache.tools.ant.taskdefs.Sleep;
-import org.eclipse.core.internal.preferences.RootPreferences;
 import org.eclipse.equinox.app.IApplication;
 import org.eclipse.equinox.app.IApplicationContext;
 import org.txm.Toolbox;
@@ -14,7 +12,6 @@
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.StructuralUnit;
 import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
-import org.txm.statsengine.r.core.preferences.RPreferences;
 
 /**
  * 
Index: tmp/org.txm.core.tests/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.core.tests/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.core.tests/META-INF/MANIFEST.MF	(revision 452)
@@ -4,11 +4,12 @@
 Bundle-SymbolicName: org.txm.core.tests;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Require-Bundle: org.txm.utils,
+Require-Bundle: org.txm.statsengine.r.core,
+ org.txm.searchengine.cqp.core;bundle-version="1.1.0",
+ org.txm.utils,
  org.txm.lexicon.core,
  org.eclipse.core.runtime;bundle-version="3.10.0",
  org.txm.core;bundle-version="0.7.0",
- org.txm.statsengine.r.core,
  org.txm.ca.core;bundle-version="1.0.0",
  org.txm.cah.core;bundle-version="1.0.0",
  org.txm.chartsengine.core;bundle-version="1.0.0",
Index: tmp/org.txm.chartsengine.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.chartsengine.rcp/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.chartsengine.rcp/META-INF/MANIFEST.MF	(revision 452)
@@ -4,12 +4,13 @@
 Bundle-SymbolicName: org.txm.chartsengine.rcp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Require-Bundle: org.txm.chartsengine.core;bundle-version="1.0.0";visibility:=reexport,
+Require-Bundle: org.txm.utils;bundle-version="1.0.0",
+ org.eclipse.ui;bundle-version="3.106.1",
+ org.eclipse.core.runtime;bundle-version="3.10.0",
+ org.txm.chartsengine.core;bundle-version="1.0.0",
  org.txm.core;bundle-version="0.7.0",
  org.txm.rcp;bundle-version="0.7.8",
  org.eclipse.core.resources,
- org.eclipse.ui;bundle-version="3.106.1";visibility:=reexport,
- org.eclipse.core.runtime;bundle-version="3.10.0",
  org.eclipse.swt,
  org.eclipse.core.expressions;bundle-version="3.4.600"
 Export-Package: org.txm.chartsengine.rcp,
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/preferences/ChartsEnginePreferencePage.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/preferences/ChartsEnginePreferencePage.java	(revision 451)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/preferences/ChartsEnginePreferencePage.java	(revision 452)
@@ -15,8 +15,6 @@
 import org.eclipse.ui.PlatformUI;
 import org.txm.chartsengine.core.ChartsEngine;
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
-import org.txm.chartsengine.jfreechart.core.JFCChartsEngine;
-import org.txm.chartsengine.jfreechart.core.preferences.JFCChartsEnginePreferences;
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
 import org.txm.chartsengine.rcp.messages.SWTComponentsProviderMessages;
 import org.txm.core.preferences.TBXPreferences;
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/r/RProgressionChartCreator.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/r/RProgressionChartCreator.java	(revision 451)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/r/RProgressionChartCreator.java	(revision 452)
@@ -7,13 +7,11 @@
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
 import org.txm.chartsengine.r.core.RChartCreator;
 import org.txm.chartsengine.r.core.themes.DefaultTheme;
-import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.TXMResult;
 import org.txm.progression.core.chartsengine.base.ProgressionChartCreator;
 import org.txm.progression.core.chartsengine.base.Utils;
 import org.txm.progression.core.functions.Progression;
 import org.txm.progression.core.preferences.ProgressionPreferences;
-import org.txm.statsengine.core.StatException;
 import org.txm.statsengine.r.core.RWorkspace;
 import org.txm.statsengine.r.core.exceptions.RWorkspaceException;
 import org.txm.utils.logger.Log;
Index: tmp/org.txm.progression.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.progression.core/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.progression.core/META-INF/MANIFEST.MF	(revision 452)
@@ -4,7 +4,9 @@
 Bundle-SymbolicName: org.txm.progression.core;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Require-Bundle: org.txm.statsengine.r.core;bundle-version="1.0.0",
+Require-Bundle: org.txm.utils;bundle-version="1.0.0",
+ org.txm.statsengine.core;bundle-version="1.0.0",
+ org.txm.statsengine.r.core;bundle-version="1.0.0",
  org.txm.chartsengine.core,
  org.eclipse.core.runtime,
  org.txm.core;bundle-version="0.7.0",
Index: tmp/org.txm.annotation.core/src/org/txm/annotation/AnnotationWriter.java
===================================================================
--- tmp/org.txm.annotation.core/src/org/txm/annotation/AnnotationWriter.java	(revision 451)
+++ tmp/org.txm.annotation.core/src/org/txm/annotation/AnnotationWriter.java	(revision 452)
@@ -1,11 +1,7 @@
 package org.txm.annotation;
 
 import java.io.File;
-import java.io.FileInputStream;
-import java.io.FileOutputStream;
 import java.io.IOException;
-import java.io.InputStream;
-import java.io.OutputStream;
 import java.util.ArrayList;
 import java.util.HashMap;
 import java.util.List;
@@ -28,8 +24,6 @@
 import org.txm.utils.DeleteDir;
 import org.txm.utils.logger.Log;
 import org.txm.utils.zip.Zip;
-import org.w3c.dom.Document;
-import org.w3c.dom.Node;
 
 
 public class AnnotationWriter {
Index: tmp/org.txm.annotation.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.annotation.core/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.annotation.core/META-INF/MANIFEST.MF	(revision 452)
@@ -4,9 +4,13 @@
 Bundle-SymbolicName: org.txm.annotation.core
 Bundle-Version: 1.0.0.qualifier
 Bundle-Activator: org.txm.annotation.Activator
-Require-Bundle: org.txm.core;bundle-version="0.7.0",
+Require-Bundle: org.eclipse.persistence.jpa;bundle-version="2.6.0",
+ org.eclipse.persistence.jpa.jpql;bundle-version="2.6.0",
+ javax.persistence;bundle-version="2.1.0",
+ org.txm.utils;bundle-version="1.0.0",
+ org.eclipse.osgi;bundle-version="3.10.2",
+ org.txm.core;bundle-version="0.7.0",
  org.eclipse.ui,
- org.eclipse.core.runtime,
  org.txm.searchengine.cqp.core
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Bundle-ActivationPolicy: lazy
Index: tmp/org.txm.referencer.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.referencer.rcp/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.referencer.rcp/META-INF/MANIFEST.MF	(revision 452)
@@ -4,12 +4,16 @@
 Bundle-SymbolicName: org.txm.referencer.rcp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-Activator: org.txm.referencer.rcp.Activator
-Require-Bundle: org.txm.searchengine.cqp.core;bundle-version="1.1.0",
+Require-Bundle: org.txm.utils;bundle-version="1.0.0",
+ org.txm.referencer.core;bundle-version="1.0.0",
+ org.txm.concordance.core;bundle-version="1.0.0",
+ org.txm.searchengine.cqp.core;bundle-version="1.1.0",
+ org.txm.concordance.rcp;bundle-version="1.0.0",
+ org.txm.statsengine.r.rcp;bundle-version="1.0.0",
  org.eclipse.ui,
  org.eclipse.core.runtime,
  org.txm.core;bundle-version="0.7.0",
  org.txm.rcp;bundle-version="0.7.8",
- org.txm.concordance.core;bundle-version="1.0.0",
  org.eclipse.core.expressions;bundle-version="3.4.600",
  org.txm.searchengine.core;bundle-version="1.0.0"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Index: tmp/org.txm.concordance.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.concordance.core/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.concordance.core/META-INF/MANIFEST.MF	(revision 452)
@@ -4,11 +4,14 @@
 Bundle-SymbolicName: org.txm.concordance.core;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Require-Bundle: org.txm.searchengine.cqp.core;bundle-version="1.1.0",
- org.txm.core;visibility:=reexport,
- org.txm.annotation.core;bundle-version="1.0.0";visibility:=reexport,
- org.eclipse.core.runtime;bundle-version="3.10.0";visibility:=reexport,
- org.txm.searchengine.core;bundle-version="1.0.0";visibility:=reexport
+Require-Bundle: org.txm.annotation.core;bundle-version="1.0.0",
+ org.txm.utils;bundle-version="1.0.0",
+ org.txm.searchengine.cqp.core;bundle-version="1.1.0",
+ org.txm.statsengine.r.core;bundle-version="1.0.0",
+ org.eclipse.osgi;bundle-version="3.10.2",
+ org.eclipse.core.runtime;bundle-version="3.10.0",
+ org.txm.core,
+ org.txm.searchengine.core;bundle-version="1.0.0"
 Export-Package: org.txm.concordance.core.functions,
  org.txm.concordance.core.functions.comparators,
  org.txm.concordance.core.messages,
Index: tmp/org.txm.specificities.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.specificities.rcp/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.specificities.rcp/META-INF/MANIFEST.MF	(revision 452)
@@ -4,17 +4,21 @@
 Bundle-SymbolicName: org.txm.specificities.rcp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Require-Bundle: org.txm.lexicaltable.core;bundle-version="1.0.0",
+Require-Bundle: org.txm.utils;bundle-version="1.0.0",
+ org.eclipse.osgi;bundle-version="3.10.2",
+ org.eclipse.ui;bundle-version="3.106.1",
+ org.eclipse.core.runtime;bundle-version="3.10.0",
+ org.txm.lexicaltable.core;bundle-version="1.0.0",
  org.txm.index.core;bundle-version="1.0.0",
+ org.txm.statsengine.core;bundle-version="1.0.0",
+ org.txm.statsengine.r.core;bundle-version="1.0.0",
+ org.txm.searchengine.cqp.core;bundle-version="1.1.0",
  org.txm.core;bundle-version="0.7.0",
  org.txm.statsengine.r.rcp,
  org.txm.specificities.core,
  org.txm.chartsengine.rcp,
  org.txm.rcp;bundle-version="0.7.8",
- org.eclipse.core.expressions;bundle-version="3.4.600",
- org.eclipse.core.runtime;bundle-version="3.10.0",
- org.txm.statsengine.core;bundle-version="1.0.0",
- org.txm.statsengine.r.core;bundle-version="1.0.0"
+ org.eclipse.core.expressions;bundle-version="3.4.600"
 Export-Package: org.txm.specificities.rcp.adapters,
  org.txm.specificities.rcp.editors,
  org.txm.specificities.rcp.handlers,
Index: tmp/org.txm.referencer.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.referencer.core/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.referencer.core/META-INF/MANIFEST.MF	(revision 452)
@@ -4,7 +4,8 @@
 Bundle-SymbolicName: org.txm.referencer.core
 Bundle-Version: 1.0.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Require-Bundle: org.txm.statsengine.r.core;bundle-version="1.0.0",
+Require-Bundle: org.txm.utils;bundle-version="1.0.0",
+ org.txm.statsengine.r.core;bundle-version="1.0.0",
  org.txm.core;bundle-version="0.7.0",
  org.txm.searchengine.core;bundle-version="1.0.0",
  org.txm.searchengine.cqp.core;bundle-version="1.1.0"
Index: tmp/org.txm.groovy.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.groovy.core/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.groovy.core/META-INF/MANIFEST.MF	(revision 452)
@@ -4,7 +4,13 @@
 Bundle-SymbolicName: org.txm.groovy.core
 Bundle-Version: 1.0.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Require-Bundle: org.txm.searchengine.cqp.core;bundle-version="1.1.0",
+Require-Bundle: org.txm.libs.groovy-all;bundle-version="2.3.3",
+ org.txm.utils;bundle-version="1.0.0",
+ org.eclipse.osgi;bundle-version="3.10.2",
+ org.eclipse.core.runtime;bundle-version="3.10.0",
+ org.txm.searchengine.cqp.core;bundle-version="1.1.0",
+ org.txm.concordance.core;bundle-version="1.0.0",
+ org.txm.statsengine.r.core;bundle-version="1.0.0",
  org.txm.ca.core;bundle-version="1.0.0",
  org.txm.ca.rcp;bundle-version="1.0.0",
  org.txm.cah.core;bundle-version="1.0.0",
@@ -29,7 +35,6 @@
  org.txm.lexicon.rcp;bundle-version="1.0.0",
  org.txm.libs.batik;bundle-version="0.0.0",
  org.txm.libs.colt;bundle-version="1.2.0",
- org.txm.libs.groovy-all;bundle-version="2.3.3",
  org.txm.libs.itext;bundle-version="2.1.5",
  org.txm.libs.jfreechart;bundle-version="1.0.17",
  org.txm.libs.jfreesvg;bundle-version="1.7.0",
@@ -43,15 +48,12 @@
  org.txm.specificities.core;bundle-version="1.0.0",
  org.txm.specificities.rcp;bundle-version="1.0.0",
  org.txm.statsengine.core;bundle-version="1.0.0",
- org.txm.statsengine.r.core;bundle-version="1.0.0",
  org.txm.statsengine.r.rcp;bundle-version="1.0.0",
  org.txm.synopticeditor.rcp;bundle-version="1.0.0",
  org.txm.textsbalance.core;bundle-version="1.0.0",
  org.txm.textsbalance.rcp;bundle-version="1.0.0",
- org.txm.utils;bundle-version="1.0.0",
  org.txm.wordcloud.core;bundle-version="1.0.0",
  org.txm.wordcloud.rcp;bundle-version="1.0.0",
- org.txm.concordance.core;bundle-version="1.0.0",
  org.txm.referencer.core;bundle-version="1.0.0",
  org.txm.annotation.core;bundle-version="1.0.0",
  org.txm.para.core;bundle-version="1.0.0",
@@ -60,7 +62,6 @@
  org.txm.para.rcp;bundle-version="1.0.0",
  org.txm.referencer.rcp;bundle-version="1.0.0",
  org.txm.searchengine.core;bundle-version="1.0.0",
- org.txm.experimentations.core;bundle-version="1.0.0",
  org.txm.links.rcp;bundle-version="1.0.0"
 Export-Package: filters.BuildXmlLiturgie,
  filters.Concatenator,
Index: tmp/org.txm.chartsengine.jfreechart.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.chartsengine.jfreechart.core/META-INF/MANIFEST.MF	(revision 452)
@@ -6,7 +6,7 @@
 Require-Bundle: org.txm.libs.jfreechart;bundle-version="1.0.17";visibility:=reexport,
  org.txm.libs.itext,
  org.eclipse.core.runtime,
- org.txm.libs.jfreesvg;bundle-version="1.7.0",
+ org.txm.libs.jfreesvg;bundle-version="1.7.0";visibility:=reexport,
  org.txm.chartsengine.core;bundle-version="1.0.0";visibility:=reexport,
  org.txm.core
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Index: tmp/org.txm.rcp.p2.ui/src/org/eclipse/equinox/internal/p2/ui/dialogs/ResolutionResultsWizardPage.java
===================================================================
--- tmp/org.txm.rcp.p2.ui/src/org/eclipse/equinox/internal/p2/ui/dialogs/ResolutionResultsWizardPage.java	(revision 451)
+++ tmp/org.txm.rcp.p2.ui/src/org/eclipse/equinox/internal/p2/ui/dialogs/ResolutionResultsWizardPage.java	(revision 452)
@@ -36,7 +36,6 @@
 import org.eclipse.swt.widgets.*;
 import org.eclipse.ui.statushandlers.StatusManager;
 
-import com.sun.xml.internal.bind.v2.runtime.reflect.Accessor.SetterOnlyReflection;
 
 /**
  * A wizard page that shows detailed information about a resolved install
Index: tmp/org.txm.wordcloud.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.wordcloud.rcp/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.wordcloud.rcp/META-INF/MANIFEST.MF	(revision 452)
@@ -4,10 +4,15 @@
 Bundle-SymbolicName: org.txm.wordcloud.rcp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Require-Bundle: org.txm.wordcloud.core;bundle-version="1.0.0",
+Require-Bundle: org.txm.utils;bundle-version="1.0.0",
+ org.eclipse.osgi;bundle-version="3.10.2",
+ org.eclipse.core.runtime;bundle-version="3.10.0",
+ org.txm.lexicon.core;bundle-version="1.0.0",
+ org.txm.index.core;bundle-version="1.0.0",
+ org.txm.searchengine.cqp.core;bundle-version="1.1.0",
+ org.eclipse.ui;bundle-version="3.106.1",
+ org.txm.wordcloud.core;bundle-version="1.0.0",
  org.txm.chartsengine.rcp,
- org.eclipse.core.runtime;bundle-version="3.10.0",
  org.txm.core;bundle-version="0.7.0",
- org.txm.rcp;bundle-version="0.7.8",
- org.txm.index.core;bundle-version="1.0.0"
+ org.txm.rcp;bundle-version="0.7.8"
 Bundle-Vendor: Textometrie.org
Index: tmp/org.txm.partition.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.partition.rcp/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.partition.rcp/META-INF/MANIFEST.MF	(revision 452)
@@ -3,16 +3,17 @@
 Bundle-Name: %Bundle-Name
 Bundle-SymbolicName: org.txm.partition.rcp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
-Require-Bundle: org.txm.searchengine.cqp.core;bundle-version="1.1.0",
- org.txm.rcp;bundle-version="0.7.8",
- org.txm.partition.core;bundle-version="1.0.0",
- org.txm.chartsengine.rcp,
+Require-Bundle: org.txm.utils;bundle-version="1.0.0",
+ org.eclipse.osgi;bundle-version="3.10.2",
+ org.eclipse.core.runtime;bundle-version="3.10.0",
  org.eclipse.ui,
- org.eclipse.core.runtime,
  org.txm.core;bundle-version="0.7.0",
+ org.txm.searchengine.cqp.core;bundle-version="1.1.0",
+ org.txm.chartsengine.rcp,
+ org.txm.partition.core,
+ org.txm.rcp;bundle-version="0.7.8",
  org.txm.chartsengine.core,
- org.eclipse.core.expressions;bundle-version="3.4.600",
- org.txm.searchengine.core;bundle-version="1.0.0"
+ org.eclipse.core.expressions;bundle-version="3.4.600"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Bundle-ActivationPolicy: lazy
 Bundle-Vendor: Textometrie.org
